package com.jz.dm.gateway.orther;

import com.jz.dm.common.util.RedisSerializableUtil;
import com.jz.dm.gateway.SpringTestCase;
import com.jz.dm.models.req.make.MakeDataBankApiReq;
import net.sf.json.JSONObject;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;


/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.gateway.orther
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: TestRedisUserSave
 * @DATE: 2021-1-2/11:16
 * @DAY_NAME_SHORT: 周六
 * @Description:
 **/
public class TestRedisUserSave extends SpringTestCase {

    @Autowired
    private RedisTemplate<String, Object> redisTemplate;
    /*@Autowired
    private RedisUtils redisUtils;*/
    @Test
    public void  saveUser(){
        RedisTemplate template = new RedisTemplate();
        template.opsForValue().set("USER004","USER9999");
       // this.redisTemplate.opsForValue().set("USER004","USER9999");
    }
    @Test
    public void  getUser(){
     redisTemplate.opsForValue().get("USER004");
    }


    @Test
    public void  saveObject(){
        MakeDataBankApiReq bankApiReq = new MakeDataBankApiReq();
        bankApiReq.setTransMode("HTTPS");
        bankApiReq.setSignType("MD5");
        bankApiReq.setJoinType("10004");
        bankApiReq.setOutputType("JSON");
        bankApiReq.setPage(false);
        bankApiReq.setReqType("DAY");
        bankApiReq.setTargetUrl("www.baidu.com");
        bankApiReq.setFileId(1L);
        bankApiReq.setSign("F2A8E3CFE528D6AE5C5B075046653F3E");
        bankApiReq.setReqFrequency(0L);
        bankApiReq.setApiDesc("4444");
        bankApiReq.setTimeout("5000");
        String value = String.valueOf(bankApiReq);

        System.out.println(value);
       // JSONObject jsonObject = JSONObject.parseObject(value);
        JSONObject jsonObject = JSONObject.fromObject(bankApiReq);
        System.out.println(jsonObject);
       // redisTemplate.opsForValue().set(bankApiReq,jsonObject,300, TimeUnit.SECONDS);
        /*RedisUtils redisUtilsaa = new RedisUtils();*/
        RedisTemplate redisTemplate1 = new RedisTemplate();
        byte[] serialize = RedisSerializableUtil.serialize(jsonObject);
        // redisUtilsaa.set("bankApiReq",jsonObject,300);
        redisTemplate1.opsForValue().set("bankApiReq",jsonObject);

        redisTemplate1.opsForValue().get(bankApiReq);
    }
}
