package com.jz.dm.common.enums.org;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.common.enums.org
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: OrgTypeEnum
 * @DATE: 2021-1-14/16:17
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
public enum  OrgTypeEnum {

    INT("内部组织"),
    OUT("外部组织");

    private String text;

    OrgTypeEnum(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }

    public static OrgTypeEnum fromOrgTypeEnumName(String typeName) {
        for (OrgTypeEnum type : OrgTypeEnum.values()) {
            if (type.name().equals(typeName)) {
                return type;
            }
        }
        return null;
    }
}
