package com.jz.dm.mall.moduls.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 数据商品分类(行业)(TDataGoodsCategory)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:32
 */
@TableName("t_data_goods_category")
@ApiModel
@Data
public class DataGoodsCategory implements Serializable {
    private static final long serialVersionUID = -54881838919746328L;
    /**
     * 商品分类id
     */
    private Long categoryId;
    /**
     * 分类名称
     */
    private String categoryName;
    /**
     * 父级分类id
     */
    private Long parentId;
    /**
     * 是否为子节点：Y是，N否
     */
    private String ifChild;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 更新时间
     */
    private Date uptTime;

    private String delFlag;


    private List<DataGoodsCategory> children;


}